import * as z from 'zod';
// prettier-ignore
export const StaffResultSchema = z.object({
    id: z.number().int(),
    userId: z.number().int(),
    name: z.string(),
    email: z.string().nullable(),
    role: z.string(),
    phone: z.string().nullable(),
    createdAt: z.date(),
    user: z.unknown().nullable(),
    appointments: z.array(z.unknown()),
    claims: z.array(z.unknown())
}).strict();

export type StaffResultType = z.infer<typeof StaffResultSchema>;
